---
title: System Configuration
slug: singleconnect-2-16/system-configuration
description: This document provides comprehensive code examples and step-by-step instructions for API endpoints related to LDAP, SMS, password, and mail configuration, as well as sending test emails. Discover how to implement GET and POST requests in multiple programm
docTags: 
createdAt: 2021-03-01T14:35:17.000Z
---



# LDAP

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "http://{{hostname}}/aioc-rest-web/rest/ldapConfiguration/getConfiguration",
  "name": "getLdapConfiguration",
  "method": "GET",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "C1T6UKa1fw4RLg72zdl_A",
        "code": "[\n    {\n        \"dbId\": null,\n        \"parameterName\": \"netright.auth.ldap.useproxyuser\",\n        \"parameterValue\": null,\n        \"parameterValueInFile\": null\n    },\n    {\n        \"dbId\": null,\n        \"parameterName\": \"netright.auth.ldap.url\",\n        \"parameterValue\": null,\n        \"parameterValueInFile\": null\n    },\n    {\n        \"dbId\": null,\n        \"parameterName\": \"netright.auth.ldap.baseDN\",\n        \"parameterValue\": null,\n        \"parameterValueInFile\": null\n    },\n    {\n        \"dbId\": null,\n        \"parameterName\": \"netright.auth.ldap.principal\",\n        \"parameterValue\": null,\n        \"parameterValueInFile\": null\n    },\n    {\n        \"dbId\": null,\n        \"parameterName\": \"netright.auth.ldap.timeout\",\n        \"parameterValue\": null,\n        \"parameterValueInFile\": null\n    },\n    {\n        \"dbId\": null,\n        \"parameterName\": \"netright.auth.ldap.socket.timeout\",\n        \"parameterValue\": null,\n        \"parameterValueInFile\": null\n    }\n]",
        "language": "200"
      }
    ],
    "selectedLanguageId": "C1T6UKa1fw4RLg72zdl_A"
  },
  "examples": {
    "languages": [
      {
        "id": "VkPwtcsBbelCQ5ZRPOUAJ",
        "code": "var client = new RestClient(\"http://{{hostname}}/aioc-rest-web/rest/ldapConfiguration/getConfiguration\");\r\nclient.Timeout = -1;\r\nvar request = new RestRequest(Method.GET);\r\nIRestResponse response = client.Execute(request);\r\nConsole.WriteLine(response.Content);",
        "language": "csharp"
      },
      {
        "id": "x1JumIP-SDoh0fci0lGEt",
        "code": "curl --location -g --request GET 'http://{{hostname}}/aioc-rest-web/rest/ldapConfiguration/getConfiguration'",
        "language": "curl"
      },
      {
        "id": "Tf7Ipn33wHpc8Pao3kTuU",
        "code": "var settings = {\r\n  \"url\": \"http://{{hostname}}/aioc-rest-web/rest/ldapConfiguration/getConfiguration\",\r\n  \"method\": \"GET\",\r\n  \"timeout\": 0,\r\n};\r\n\r\n$.ajax(settings).done(function (response) {\r\n  console.log(response);\r\n});",
        "language": "javascript"
      }
    ],
    "selectedLanguageId": "VkPwtcsBbelCQ5ZRPOUAJ"
  },
  "description": " ",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  }
}
```
:::

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "http://{{hostname}}/aioc-rest-web/rest/ldapConfiguration/setConfiguration",
  "name": "setLdapConfiguration",
  "method": "POST",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "ECAeSxEPZHrsMzlxbjkuL",
        "code": "true",
        "language": "200"
      }
    ],
    "selectedLanguageId": "ECAeSxEPZHrsMzlxbjkuL"
  },
  "examples": {
    "languages": [
      {
        "id": "-WKmIRdG6gm7Ucm1a0mOc",
        "code": "var client = new RestClient(\"http://{{hostname}}/aioc-rest-web/rest/ldapConfiguration/setConfiguration\");\r\nclient.Timeout = -1;\r\nvar request = new RestRequest(Method.POST);\r\nrequest.AddHeader(\"Content-Type\", \"application/json\");\r\nrequest.AddParameter(\"application/json\", \"[\\r\\n    {\\r\\n        \\\"parameterName\\\": \\\"netright.auth.ldap.baseDN\\\",\\r\\n        \\\"parameterValue\\\": \\\"DC=example,DC=com\\\"\\r\\n    },\\r\\n    {\\r\\n        \\\"parameterName\\\": \\\"netright.auth.ldap.principal\\\",\\r\\n        \\\"parameterValue\\\": \\\"uid=?,DC=example,DC=com\\\"\\r\\n    },\\r\\n    {\\r\\n        \\\"parameterName\\\": \\\"netright.auth.ldap.url\\\",\\r\\n        \\\"parameterValue\\\": \\\"ldap://1.1.1.1:389\\\"\\r\\n    },\\r\\n    {\\r\\n        \\\"parameterName\\\": \\\"netright.auth.ldap.useproxyuser\\\",\\r\\n        \\\"parameterValue\\\": false\\r\\n    },\\r\\n    {\\r\\n        \\\"parameterName\\\": \\\"netright.auth.ldap.timeout\\\",\\r\\n        \\\"parameterValue\\\": 1000\\r\\n    },\\r\\n    {\\r\\n        \\\"parameterName\\\": \\\"netright.auth.ldap.socket.timeout\\\",\\r\\n        \\\"parameterValue\\\": 1000\\r\\n    }\\r\\n]\",  ParameterType.RequestBody);\r\nIRestResponse response = client.Execute(request);\r\nConsole.WriteLine(response.Content);",
        "language": "csharp"
      },
      {
        "id": "1Vg8EDiItMNNNOKzWvlkF",
        "code": "curl --location -g --request POST 'http://{{hostname}}/aioc-rest-web/rest/ldapConfiguration/setConfiguration' \\\n--header 'Content-Type: application/json' \\\n--data-raw '[\n    {\n        \"parameterName\": \"netright.auth.ldap.baseDN\",\n        \"parameterValue\": \"DC=example,DC=com\"\n    },\n    {\n        \"parameterName\": \"netright.auth.ldap.principal\",\n        \"parameterValue\": \"uid=?,DC=example,DC=com\"\n    },\n    {\n        \"parameterName\": \"netright.auth.ldap.url\",\n        \"parameterValue\": \"ldap://1.1.1.1:389\"\n    },\n    {\n        \"parameterName\": \"netright.auth.ldap.useproxyuser\",\n        \"parameterValue\": false\n    },\n    {\n        \"parameterName\": \"netright.auth.ldap.timeout\",\n        \"parameterValue\": 1000\n    },\n    {\n        \"parameterName\": \"netright.auth.ldap.socket.timeout\",\n        \"parameterValue\": 1000\n    }\n]'",
        "language": "curl"
      },
      {
        "id": "QVElyhCK2nzOxYfq_87Xn",
        "code": "var settings = {\r\n  \"url\": \"http://{{hostname}}/aioc-rest-web/rest/ldapConfiguration/setConfiguration\",\r\n  \"method\": \"POST\",\r\n  \"timeout\": 0,\r\n  \"headers\": {\r\n    \"Content-Type\": \"application/json\"\r\n  },\r\n  \"data\": JSON.stringify([{\"parameterName\":\"netright.auth.ldap.baseDN\",\"parameterValue\":\"DC=example,DC=com\"},{\"parameterName\":\"netright.auth.ldap.principal\",\"parameterValue\":\"uid=?,DC=example,DC=com\"},{\"parameterName\":\"netright.auth.ldap.url\",\"parameterValue\":\"ldap://1.1.1.1:389\"},{\"parameterName\":\"netright.auth.ldap.useproxyuser\",\"parameterValue\":false},{\"parameterName\":\"netright.auth.ldap.timeout\",\"parameterValue\":1000},{\"parameterName\":\"netright.auth.ldap.socket.timeout\",\"parameterValue\":1000}]),\r\n};\r\n\r\n$.ajax(settings).done(function (response) {\r\n  console.log(response);\r\n});",
        "language": "javascript"
      }
    ],
    "selectedLanguageId": "-WKmIRdG6gm7Ucm1a0mOc"
  },
  "description": " ",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  }
}
```
:::



# SMS

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "http://{{hostname}}/aioc-rest-web/rest/smsConfiguration/setConfiguration",
  "name": "Set Sms Configuration",
  "method": "POST",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "3cIrs85kqt8Hwy5FIrM9L",
        "code": "true",
        "language": "200"
      }
    ],
    "selectedLanguageId": "3cIrs85kqt8Hwy5FIrM9L"
  },
  "examples": {
    "languages": [
      {
        "id": "GD103OYelljQX1Fc1jSM9",
        "code": "var client = new RestClient(\"http://{{hostname}}/aioc-rest-web/rest/smsConfiguration/setConfiguration\");\r\nclient.Timeout = -1;\r\nvar request = new RestRequest(Method.POST);\r\nrequest.AddHeader(\"Content-Type\", \"application/json\");\r\nrequest.AddParameter(\"application/json\", \"[\\n    {\\n        \\\"parameterName\\\": \\\"aioc.sms.http.body\\\",\\n        \\\"parameterValue\\\": \\\"Your one time password: %token%\\\"\\n    },\\n    {\\n        \\\"parameterName\\\": \\\"aioc.sms.http.header\\\",\\n        \\\"parameterValue\\\": \\\"Content-Type:text/xml\\\"\\n    },\\n    {\\n        \\\"parameterName\\\": \\\"aioc.sms.http.url\\\",\\n        \\\"parameterValue\\\": \\\"http://smshost/path\\\"\\n    },\\n    {\\n        \\\"parameterName\\\": \\\"aioc.sms.http.username\\\",\\n        \\\"parameterValue\\\": \\\"test2\\\"\\n    },\\n    {\\n        \\\"parameterName\\\": \\\"aioc.sms.http.password\\\",\\n        \\\"parameterValue\\\": \\\"test2\\\"\\n    }\\n]\",  ParameterType.RequestBody);\r\nIRestResponse response = client.Execute(request);\r\nConsole.WriteLine(response.Content);",
        "language": "csharp"
      },
      {
        "id": "7EnbHeGav_82MvY5Afzre",
        "code": "curl --location -g --request POST 'http://{{hostname}}/aioc-rest-web/rest/smsConfiguration/setConfiguration' \\\n--header 'Content-Type: application/json' \\\n--data-raw '[\n    {\n        \"parameterName\": \"aioc.sms.http.body\",\n        \"parameterValue\": \"Your one time password: %token%\"\n    },\n    {\n        \"parameterName\": \"aioc.sms.http.header\",\n        \"parameterValue\": \"Content-Type:text/xml\"\n    },\n    {\n        \"parameterName\": \"aioc.sms.http.url\",\n        \"parameterValue\": \"http://smshost/path\"\n    },\n    {\n        \"parameterName\": \"aioc.sms.http.username\",\n        \"parameterValue\": \"test2\"\n    },\n    {\n        \"parameterName\": \"aioc.sms.http.password\",\n        \"parameterValue\": \"test2\"\n    }\n]'",
        "language": "curl"
      },
      {
        "id": "LHmbadUmOfO2GKA3imOs7",
        "code": "var settings = {\r\n  \"url\": \"http://{{hostname}}/aioc-rest-web/rest/smsConfiguration/setConfiguration\",\r\n  \"method\": \"POST\",\r\n  \"timeout\": 0,\r\n  \"headers\": {\r\n    \"Content-Type\": \"application/json\"\r\n  },\r\n  \"data\": JSON.stringify([{\"parameterName\":\"aioc.sms.http.body\",\"parameterValue\":\"Your one time password: %token%\"},{\"parameterName\":\"aioc.sms.http.header\",\"parameterValue\":\"Content-Type:text/xml\"},{\"parameterName\":\"aioc.sms.http.url\",\"parameterValue\":\"http://smshost/path\"},{\"parameterName\":\"aioc.sms.http.username\",\"parameterValue\":\"test2\"},{\"parameterName\":\"aioc.sms.http.password\",\"parameterValue\":\"test2\"}]),\r\n};\r\n\r\n$.ajax(settings).done(function (response) {\r\n  console.log(response);\r\n});",
        "language": "javascript"
      }
    ],
    "selectedLanguageId": "GD103OYelljQX1Fc1jSM9"
  },
  "description": " ",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  }
}
```
:::

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "http://{{hostname}}/aioc-rest-web/rest/smsConfiguration/testSms",
  "name": "Test Sms",
  "method": "POST",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "S-ljyCwjzsMR4tGSNP3_d",
        "code": "",
        "language": "200"
      }
    ],
    "selectedLanguageId": "S-ljyCwjzsMR4tGSNP3_d"
  },
  "examples": {
    "languages": [
      {
        "id": "aMSPOFdRed4DYEK7trTVM",
        "code": "var client = new RestClient(\"http://{{hostname}}/aioc-rest-web/rest/smsConfiguration/testSms\");\r\nclient.Timeout = -1;\r\nvar request = new RestRequest(Method.POST);\r\nrequest.AddHeader(\"Content-Type\", \"application/json\");\r\nrequest.AddParameter(\"application/json\", \"{\\n        \\\"configuration\\\" : [\\n        {\\n            \\\"dbId\\\": 7465430,\\n            \\\"parameterName\\\": \\\"aioc.sms.http.body\\\",\\n            \\\"parameterValue\\\": \\\"test2\\\",\\n            \\\"parameterValueInFile\\\": null\\n        },\\n        {\\n            \\\"dbId\\\": null,\\n            \\\"parameterName\\\": \\\"aioc.sms.http.header\\\",\\n            \\\"parameterValue\\\": null,\\n            \\\"parameterValueInFile\\\": null\\n        },\\n        {\\n            \\\"dbId\\\": null,\\n            \\\"parameterName\\\": \\\"aioc.sms.http.url\\\",\\n            \\\"parameterValue\\\": null,\\n            \\\"parameterValueInFile\\\": null\\n        },\\n        {\\n            \\\"dbId\\\": null,\\n            \\\"parameterName\\\": \\\"aioc.sms.http.username\\\",\\n            \\\"parameterValue\\\": null,\\n            \\\"parameterValueInFile\\\": null\\n        },\\n        {\\n            \\\"dbId\\\": null,\\n            \\\"parameterName\\\": \\\"aioc.sms.http.password\\\",\\n            \\\"parameterValue\\\": null,\\n            \\\"parameterValueInFile\\\": null\\n        }\\n    ],\\n    \\\"messageBody\\\" : \\\"test2\\\",\\n    \\\"phoneNumber\\\" : \\\"test3\\\"\\n}\",  ParameterType.RequestBody);\r\nIRestResponse response = client.Execute(request);\r\nConsole.WriteLine(response.Content);",
        "language": "csharp"
      },
      {
        "id": "STQvyKYSGJlnqjEz9bJHw",
        "code": "curl --location --request POST 'http://10.20.41.179/aioc-rest-web/rest/smsConfiguration/testSms' \\\n--header 'Content-Type: application/json' \\\n--header 'Cookie: NETRIGHT_SESSIONID=558cdc7a-f47b-4e92-a04e-e33cc2e42ec2' \\\n--data-raw '{\n        \"configuration\" : [\n        {\n            \"dbId\": 7465430,\n            \"parameterName\": \"aioc.sms.http.body\",\n            \"parameterValue\": \"test2\",\n            \"parameterValueInFile\": null\n        },\n        {\n            \"dbId\": null,\n            \"parameterName\": \"aioc.sms.http.header\",\n            \"parameterValue\": null,\n            \"parameterValueInFile\": null\n        },\n        {\n            \"dbId\": null,\n            \"parameterName\": \"aioc.sms.http.url\",\n            \"parameterValue\": null,\n            \"parameterValueInFile\": null\n        },\n        {\n            \"dbId\": null,\n            \"parameterName\": \"aioc.sms.http.username\",\n            \"parameterValue\": null,\n            \"parameterValueInFile\": null\n        },\n        {\n            \"dbId\": null,\n            \"parameterName\": \"aioc.sms.http.password\",\n            \"parameterValue\": null,\n            \"parameterValueInFile\": null\n        }\n    ],\n    \"messageBody\" : \"test2\",\n    \"phoneNumber\" : \"test3\"\n}'",
        "language": "curl"
      },
      {
        "id": "KbtL49r5RUUhLeH7-xtLw",
        "code": "var settings = {\r\n  \"url\": \"http://{{hostname}}/aioc-rest-web/rest/smsConfiguration/testSms\",\r\n  \"method\": \"POST\",\r\n  \"timeout\": 0,\r\n  \"headers\": {\r\n    \"Content-Type\": \"application/json\"\r\n  },\r\n  \"data\": JSON.stringify({\"configuration\":[{\"dbId\":7465430,\"parameterName\":\"aioc.sms.http.body\",\"parameterValue\":\"test2\",\"parameterValueInFile\":null},{\"dbId\":null,\"parameterName\":\"aioc.sms.http.header\",\"parameterValue\":null,\"parameterValueInFile\":null},{\"dbId\":null,\"parameterName\":\"aioc.sms.http.url\",\"parameterValue\":null,\"parameterValueInFile\":null},{\"dbId\":null,\"parameterName\":\"aioc.sms.http.username\",\"parameterValue\":null,\"parameterValueInFile\":null},{\"dbId\":null,\"parameterName\":\"aioc.sms.http.password\",\"parameterValue\":null,\"parameterValueInFile\":null}],\"messageBody\":\"test2\",\"phoneNumber\":\"test3\"}),\r\n};\r\n\r\n$.ajax(settings).done(function (response) {\r\n  console.log(response);\r\n});",
        "language": "javascript"
      }
    ],
    "selectedLanguageId": "aMSPOFdRed4DYEK7trTVM"
  },
  "description": " ",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  }
}
```
:::

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "http://{{hostname}}/aioc-rest-web/rest/smsConfiguration/getConfiguration",
  "name": "Get Sms Configuration",
  "method": "GET",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "Fzml9CILNvTvq-ucwKoP7",
        "code": "[\n    {\n        \"dbId\": null,\n        \"parameterName\": \"aioc.sms.http.body\",\n        \"parameterValue\": null,\n        \"parameterValueInFile\": null\n    },\n    {\n        \"dbId\": null,\n        \"parameterName\": \"aioc.sms.http.header\",\n        \"parameterValue\": null,\n        \"parameterValueInFile\": null\n    },\n    {\n        \"dbId\": null,\n        \"parameterName\": \"aioc.sms.http.url\",\n        \"parameterValue\": null,\n        \"parameterValueInFile\": null\n    },\n    {\n        \"dbId\": null,\n        \"parameterName\": \"aioc.sms.http.username\",\n        \"parameterValue\": null,\n        \"parameterValueInFile\": null\n    },\n    {\n        \"dbId\": null,\n        \"parameterName\": \"aioc.sms.http.password\",\n        \"parameterValue\": null,\n        \"parameterValueInFile\": null\n    }\n]",
        "language": "200"
      }
    ],
    "selectedLanguageId": "Fzml9CILNvTvq-ucwKoP7"
  },
  "examples": {
    "languages": [
      {
        "id": "Yy6nmpeABpdMwHYaZHPL0",
        "code": "var client = new RestClient(\"http://{{hostname}}/aioc-rest-web/rest/smsConfiguration/getConfiguration\");\r\nclient.Timeout = -1;\r\nvar request = new RestRequest(Method.GET);\r\nIRestResponse response = client.Execute(request);\r\nConsole.WriteLine(response.Content);",
        "language": "csharp"
      },
      {
        "id": "xt-7IlsMLCdxPPLDGZ6dT",
        "code": "curl --location -g --request GET 'http://{{hostname}}/aioc-rest-web/rest/smsConfiguration/getConfiguration'",
        "language": "curl"
      },
      {
        "id": "8IxIoIC31CGcJAUjUVf0S",
        "code": "var settings = {\r\n  \"url\": \"http://{{hostname}}/aioc-rest-web/rest/smsConfiguration/getConfiguration\",\r\n  \"method\": \"GET\",\r\n  \"timeout\": 0,\r\n};\r\n\r\n$.ajax(settings).done(function (response) {\r\n  console.log(response);\r\n});",
        "language": "javascript"
      }
    ],
    "selectedLanguageId": "Yy6nmpeABpdMwHYaZHPL0"
  },
  "description": " ",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  }
}
```
:::

# PASSSWORD



:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "http://{{hostname}}/aioc-rest-web/rest/passwordConfiguration/setConfiguration",
  "name": "Set Password Configuration",
  "method": "POST",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "vati28GCaJStqz2yuWyeP",
        "code": "TRUE",
        "language": "200"
      }
    ],
    "selectedLanguageId": "vati28GCaJStqz2yuWyeP"
  },
  "examples": {
    "languages": [
      {
        "id": "6XBudarUg4qq7dKo9banr",
        "code": "var client = new RestClient(\"http://{{hostname}}/aioc-rest-web/rest/passwordConfiguration/setConfiguration\");\r\nclient.Timeout = -1;\r\nvar request = new RestRequest(Method.POST);\r\nrequest.AddHeader(\"Content-Type\", \"application/json\");\r\nrequest.AddParameter(\"application/json\", \"[\\n    {\\n        \\\"parameterName\\\": \\\"aioc.user.force.password.change.for.new.user\\\",\\n        \\\"parameterValue\\\": false,\\n        \\\"parameterValueInFile\\\": null\\n    },\\n    {\\n        \\\"parameterName\\\": \\\"aioc.users.default.password.strength\\\",\\n        \\\"parameterValue\\\": 0,\\n        \\\"parameterValueInFile\\\": null\\n    },\\n    {\\n        \\\"parameterName\\\": \\\"aioc.user.password.log.check.count\\\",\\n        \\\"parameterValue\\\": -1,\\n        \\\"parameterValueInFile\\\": null\\n    },\\n    {\\n        \\\"parameterName\\\": \\\"user.suspend.afterFailedLoginAttempts\\\",\\n        \\\"parameterValue\\\": 3,\\n        \\\"parameterValueInFile\\\": null\\n    },\\n    {\\n        \\\"parameterName\\\": \\\"user.suspend.forMillis\\\",\\n        \\\"parameterValue\\\": 60000,\\n        \\\"parameterValueInFile\\\": null\\n    },\\n    {\\n        \\\"parameterName\\\": \\\"user.lock.afterFailedLoginAttempts\\\",\\n        \\\"parameterValue\\\": 5,\\n        \\\"parameterValueInFile\\\": null\\n    }\\n]\",  ParameterType.RequestBody);\r\nIRestResponse response = client.Execute(request);\r\nConsole.WriteLine(response.Content);",
        "language": "csharp"
      },
      {
        "id": "sjKwjGfekzWLdlblb4hCI",
        "code": "var settings = {\n  \"url\": \"http://{{hostname}}/aioc-rest-web/rest/passwordConfiguration/setConfiguration\",\n  \"method\": \"POST\",\n  \"timeout\": 0,\n  \"headers\": {\n    \"Content-Type\": \"application/json\"\n  },\n  \"data\": JSON.stringify([{\"parameterName\":\"aioc.user.force.password.change.for.new.user\",\"parameterValue\":false,\"parameterValueInFile\":null},{\"parameterName\":\"aioc.users.default.password.strength\",\"parameterValue\":0,\"parameterValueInFile\":null},{\"parameterName\":\"aioc.user.password.log.check.count\",\"parameterValue\":-1,\"parameterValueInFile\":null},{\"parameterName\":\"user.suspend.afterFailedLoginAttempts\",\"parameterValue\":3,\"parameterValueInFile\":null},{\"parameterName\":\"user.suspend.forMillis\",\"parameterValue\":60000,\"parameterValueInFile\":null},{\"parameterName\":\"user.lock.afterFailedLoginAttempts\",\"parameterValue\":5,\"parameterValueInFile\":null}]),\n};\n\n$.ajax(settings).done(function (response) {\n  console.log(response);\n});",
        "language": "curl"
      },
      {
        "id": "_z3e_VWHU8DQl81OyIYn9",
        "code": "var settings = {\r\n  \"url\": \"http://{{hostname}}/aioc-rest-web/rest/passwordConfiguration/setConfiguration\",\r\n  \"method\": \"POST\",\r\n  \"timeout\": 0,\r\n  \"headers\": {\r\n    \"Content-Type\": \"application/json\"\r\n  },\r\n  \"data\": JSON.stringify([{\"parameterName\":\"aioc.user.force.password.change.for.new.user\",\"parameterValue\":false,\"parameterValueInFile\":null},{\"parameterName\":\"aioc.users.default.password.strength\",\"parameterValue\":0,\"parameterValueInFile\":null},{\"parameterName\":\"aioc.user.password.log.check.count\",\"parameterValue\":-1,\"parameterValueInFile\":null},{\"parameterName\":\"user.suspend.afterFailedLoginAttempts\",\"parameterValue\":3,\"parameterValueInFile\":null},{\"parameterName\":\"user.suspend.forMillis\",\"parameterValue\":60000,\"parameterValueInFile\":null},{\"parameterName\":\"user.lock.afterFailedLoginAttempts\",\"parameterValue\":5,\"parameterValueInFile\":null}]),\r\n};\r\n\r\n$.ajax(settings).done(function (response) {\r\n  console.log(response);\r\n});",
        "language": "javascript"
      }
    ],
    "selectedLanguageId": "6XBudarUg4qq7dKo9banr"
  },
  "description": " ",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  }
}
```
:::

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "http://{{hostname}}/aioc-rest-web/rest/passwordConfiguration/getConfiguration",
  "name": "Get Password Configuration",
  "method": "GET",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "1-FTiw0ggcFcuv4btxWlc",
        "code": "[\n    {\n        \"dbId\": null,\n        \"parameterName\": \"aioc.user.force.password.change.for.new.user\",\n        \"parameterValue\": null,\n        \"parameterValueInFile\": null\n    },\n    {\n        \"dbId\": null,\n        \"parameterName\": \"aioc.users.default.password.strength\",\n        \"parameterValue\": null,\n        \"parameterValueInFile\": null\n    },\n    {\n        \"dbId\": null,\n        \"parameterName\": \"aioc.user.password.log.check.count\",\n        \"parameterValue\": null,\n        \"parameterValueInFile\": null\n    },\n    {\n        \"dbId\": null,\n        \"parameterName\": \"user.suspend.afterFailedLoginAttempts\",\n        \"parameterValue\": null,\n        \"parameterValueInFile\": null\n    },\n    {\n        \"dbId\": null,\n        \"parameterName\": \"user.suspend.forMillis\",\n        \"parameterValue\": null,\n        \"parameterValueInFile\": null\n    },\n    {\n        \"dbId\": null,\n        \"parameterName\": \"user.lock.afterFailedLoginAttempts\",\n        \"parameterValue\": null,\n        \"parameterValueInFile\": null\n    }\n]",
        "language": "200"
      }
    ],
    "selectedLanguageId": "1-FTiw0ggcFcuv4btxWlc"
  },
  "examples": {
    "languages": [
      {
        "id": "vSpc6gPSLkYxjXyWHG08Q",
        "code": "var client = new RestClient(\"http://{{hostname}}/aioc-rest-web/rest/passwordConfiguration/getConfiguration\");\r\nclient.Timeout = -1;\r\nvar request = new RestRequest(Method.GET);\r\nIRestResponse response = client.Execute(request);\r\nConsole.WriteLine(response.Content);",
        "language": "csharp"
      },
      {
        "id": "ulipqf-Kv3lpmkQfRHsGE",
        "code": "curl --location -g --request GET 'http://{{hostname}}/aioc-rest-web/rest/passwordConfiguration/getConfiguration'",
        "language": "curl"
      },
      {
        "id": "ASdotlJRcQGV1rRheZUCL",
        "code": "var settings = {\r\n  \"url\": \"http://{{hostname}}/aioc-rest-web/rest/passwordConfiguration/getConfiguration\",\r\n  \"method\": \"GET\",\r\n  \"timeout\": 0,\r\n};\r\n\r\n$.ajax(settings).done(function (response) {\r\n  console.log(response);\r\n});",
        "language": "javascript"
      }
    ],
    "selectedLanguageId": "vSpc6gPSLkYxjXyWHG08Q"
  },
  "description": " ",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  }
}
```
:::

# MAIL



:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "http://{{hostname}}/aioc-rest-web/rest/systemConfiguration/mail",
  "name": "getMailConfiguration",
  "method": "GET",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "sadZ4Q66iao3YnQKjrKBB",
        "code": "[\n    {\n        \"dbId\": 63,\n        \"parameterName\": \"aioc.email.domains\",\n        \"parameterValue\": \"kron.com\",\n        \"parameterValueInFile\": null\n    },\n    {\n        \"dbId\": 100007,\n        \"parameterName\": \"mail.password\",\n        \"parameterValue\": \"change_it\",\n        \"parameterValueInFile\": null\n    },\n    {\n        \"dbId\": 100001,\n        \"parameterName\": \"mail.smtp.auth\",\n        \"parameterValue\": \"true\",\n        \"parameterValueInFile\": null\n    },\n    {\n        \"dbId\": 100004,\n        \"parameterName\": \"mail.smtp.host\",\n        \"parameterValue\": \"change_it\",\n        \"parameterValueInFile\": null\n    },\n    {\n        \"dbId\": 100005,\n        \"parameterName\": \"mail.smtp.port\",\n        \"parameterValue\": \"465\",\n        \"parameterValueInFile\": null\n    },\n    {\n        \"dbId\": 100003,\n        \"parameterName\": \"mail.smtp.socketFactory.class\",\n        \"parameterValue\": \"javax.net.ssl.SSLSocketFactory\",\n        \"parameterValueInFile\": null\n    },\n    {\n        \"dbId\": 100002,\n        \"parameterName\": \"mail.smtp.starttls.enable\",\n        \"parameterValue\": \"true\",\n        \"parameterValueInFile\": null\n    },\n    {\n        \"dbId\": null,\n        \"parameterName\": \"mail.templates.dir\",\n        \"parameterValue\": \"${netright.home}/templates/mail\",\n        \"parameterValueInFile\": \"${netright.home}/templates/mail\"\n    },\n    {\n        \"dbId\": 100006,\n        \"parameterName\": \"mail.userName\",\n        \"parameterValue\": \"change_it\",\n        \"parameterValueInFile\": null\n    },\n    {\n        \"dbId\": 100008,\n        \"parameterName\": \"user.mail.from\",\n        \"parameterValue\": \"change_it@change_it.com\",\n        \"parameterValueInFile\": null\n    }\n]",
        "language": "200"
      }
    ],
    "selectedLanguageId": "sadZ4Q66iao3YnQKjrKBB"
  },
  "examples": {
    "languages": [
      {
        "id": "MeQS8rde16EU_C6GigNEI",
        "code": "var client = new RestClient(\"http://{{hostname}}/aioc-rest-web/rest/systemConfiguration/mail\");\r\nclient.Timeout = -1;\r\nvar request = new RestRequest(Method.GET);\r\nIRestResponse response = client.Execute(request);\r\nConsole.WriteLine(response.Content);",
        "language": "csharp"
      },
      {
        "id": "z-DtSQ9IfetdDLFqqVDdt",
        "code": "curl --location -g --request GET 'http://{{hostname}}/aioc-rest-web/rest/systemConfiguration/mail'",
        "language": "curl"
      },
      {
        "id": "1gcxBUWf3_lqazREJgfet",
        "code": "var settings = {\r\n  \"url\": \"http://{{hostname}}/aioc-rest-web/rest/systemConfiguration/mail\",\r\n  \"method\": \"GET\",\r\n  \"timeout\": 0,\r\n};\r\n\r\n$.ajax(settings).done(function (response) {\r\n  console.log(response);\r\n});",
        "language": "javascript"
      }
    ],
    "selectedLanguageId": "MeQS8rde16EU_C6GigNEI"
  },
  "description": " ",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  }
}
```
:::

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "http://{{hostname}}/aioc-rest-web/rest/systemConfiguration/setMail",
  "name": "setMailConfiguration",
  "method": "POST",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "gd_B7xW26r7CTXtDPTj32",
        "code": "true",
        "language": "200"
      }
    ],
    "selectedLanguageId": "gd_B7xW26r7CTXtDPTj32"
  },
  "examples": {
    "languages": [
      {
        "id": "WCP3YowNhNLAv0SBAEFvu",
        "code": "var client = new RestClient(\"http://{{hostname}}/aioc-rest-web/rest/systemConfiguration/setMail\");\r\nclient.Timeout = -1;\r\nvar request = new RestRequest(Method.POST);\r\nrequest.AddHeader(\"Content-Type\", \"application/json\");\r\nrequest.AddParameter(\"application/json\", \"[\\r\\n    {\\r\\n        \\\"parameterName\\\": \\\"aioc.email.domains\\\",\\r\\n        \\\"parameterValue\\\": \\\"email_domain.com\\\",\\r\\n        \\\"parameterValueInFile\\\": null\\r\\n    },\\r\\n    {\\r\\n        \\\"parameterName\\\": \\\"mail.userName\\\",\\r\\n        \\\"parameterValue\\\": \\\"username@kron.com\\\",\\r\\n        \\\"parameterValueInFile\\\": null\\r\\n    },\\r\\n    {\\r\\n        \\\"parameterName\\\": \\\"mail.password\\\",\\r\\n        \\\"parameterValue\\\": \\\"password\\\",\\r\\n        \\\"parameterValueInFile\\\": null\\r\\n    },\\r\\n    {\\r\\n        \\\"parameterName\\\": \\\"mail.smtp.auth\\\",\\r\\n        \\\"parameterValue\\\": \\\"true\\\",\\r\\n        \\\"parameterValueInFile\\\": null\\r\\n    },\\r\\n    {\\r\\n        \\\"parameterName\\\": \\\"mail.smtp.host\\\",\\r\\n        \\\"parameterValue\\\": \\\"smtp.kron.com\\\",\\r\\n        \\\"parameterValueInFile\\\": null\\r\\n    },\\r\\n    {\\r\\n        \\\"parameterName\\\": \\\"mail.smtp.port\\\",\\r\\n        \\\"parameterValue\\\": \\\"587\\\",\\r\\n        \\\"parameterValueInFile\\\": null\\r\\n    },\\r\\n    {\\r\\n        \\\"parameterName\\\": \\\"mail.smtp.socketFactory.class\\\",\\r\\n        \\\"parameterValue\\\": \\\"javax.net.ssl.SSLSocketFactory\\\",\\r\\n        \\\"parameterValueInFile\\\": null\\r\\n    },\\r\\n    {\\r\\n        \\\"parameterName\\\": \\\"mail.smtp.starttls.enable\\\",\\r\\n        \\\"parameterValue\\\": \\\"true\\\",\\r\\n        \\\"parameterValueInFile\\\": null\\r\\n    },\\r\\n    {\\r\\n        \\\"parameterName\\\": \\\"mail.templates.dir\\\",\\r\\n        \\\"parameterValue\\\": \\\"${netright.home}/templates/mail\\\",\\r\\n        \\\"parameterValueInFile\\\": \\\"${netright.home}/templates/mail\\\"\\r\\n    },\\r\\n    {\\r\\n        \\\"parameterName\\\": \\\"user.mail.from\\\",\\r\\n        \\\"parameterValue\\\": \\\"username@kron.com\\\",\\r\\n        \\\"parameterValueInFile\\\": null\\r\\n    }\\r\\n]\",  ParameterType.RequestBody);\r\nIRestResponse response = client.Execute(request);\r\nConsole.WriteLine(response.Content);",
        "language": "csharp"
      },
      {
        "id": "mH8_8q2_M_9j3eGk_lXJW",
        "code": "curl --location -g --request POST 'http://{{hostname}}/aioc-rest-web/rest/systemConfiguration/setMail' \\\n--header 'Content-Type: application/json' \\\n--data-raw '[\n    {\n        \"parameterName\": \"aioc.email.domains\",\n        \"parameterValue\": \"email_domain.com\",\n        \"parameterValueInFile\": null\n    },\n    {\n        \"parameterName\": \"mail.userName\",\n        \"parameterValue\": \"username@kron.com\",\n        \"parameterValueInFile\": null\n    },\n    {\n        \"parameterName\": \"mail.password\",\n        \"parameterValue\": \"password\",\n        \"parameterValueInFile\": null\n    },\n    {\n        \"parameterName\": \"mail.smtp.auth\",\n        \"parameterValue\": \"true\",\n        \"parameterValueInFile\": null\n    },\n    {\n        \"parameterName\": \"mail.smtp.host\",\n        \"parameterValue\": \"smtp.kron.com\",\n        \"parameterValueInFile\": null\n    },\n    {\n        \"parameterName\": \"mail.smtp.port\",\n        \"parameterValue\": \"587\",\n        \"parameterValueInFile\": null\n    },\n    {\n        \"parameterName\": \"mail.smtp.socketFactory.class\",\n        \"parameterValue\": \"javax.net.ssl.SSLSocketFactory\",\n        \"parameterValueInFile\": null\n    },\n    {\n        \"parameterName\": \"mail.smtp.starttls.enable\",\n        \"parameterValue\": \"true\",\n        \"parameterValueInFile\": null\n    },\n    {\n        \"parameterName\": \"mail.templates.dir\",\n        \"parameterValue\": \"${netright.home}/templates/mail\",\n        \"parameterValueInFile\": \"${netright.home}/templates/mail\"\n    },\n    {\n        \"parameterName\": \"user.mail.from\",\n        \"parameterValue\": \"username@kron.com\",\n        \"parameterValueInFile\": null\n    }\n]'",
        "language": "curl"
      },
      {
        "id": "jBTMfm6AuKmYVzARxnRpn",
        "code": "var settings = {\r\n  \"url\": \"http://{{hostname}}/aioc-rest-web/rest/systemConfiguration/setMail\",\r\n  \"method\": \"POST\",\r\n  \"timeout\": 0,\r\n  \"headers\": {\r\n    \"Content-Type\": \"application/json\"\r\n  },\r\n  \"data\": JSON.stringify([{\"parameterName\":\"aioc.email.domains\",\"parameterValue\":\"email_domain.com\",\"parameterValueInFile\":null},{\"parameterName\":\"mail.userName\",\"parameterValue\":\"username@kron.com\",\"parameterValueInFile\":null},{\"parameterName\":\"mail.password\",\"parameterValue\":\"password\",\"parameterValueInFile\":null},{\"parameterName\":\"mail.smtp.auth\",\"parameterValue\":\"true\",\"parameterValueInFile\":null},{\"parameterName\":\"mail.smtp.host\",\"parameterValue\":\"smtp.kron.com\",\"parameterValueInFile\":null},{\"parameterName\":\"mail.smtp.port\",\"parameterValue\":\"587\",\"parameterValueInFile\":null},{\"parameterName\":\"mail.smtp.socketFactory.class\",\"parameterValue\":\"javax.net.ssl.SSLSocketFactory\",\"parameterValueInFile\":null},{\"parameterName\":\"mail.smtp.starttls.enable\",\"parameterValue\":\"true\",\"parameterValueInFile\":null},{\"parameterName\":\"mail.templates.dir\",\"parameterValue\":\"${netright.home}/templates/mail\",\"parameterValueInFile\":\"${netright.home}/templates/mail\"},{\"parameterName\":\"user.mail.from\",\"parameterValue\":\"username@kron.com\",\"parameterValueInFile\":null}]),\r\n};\r\n\r\n$.ajax(settings).done(function (response) {\r\n  console.log(response);\r\n});",
        "language": "javascript"
      }
    ],
    "selectedLanguageId": "WCP3YowNhNLAv0SBAEFvu"
  },
  "description": " ",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  }
}
```
:::

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "http://{{hostname}}/aioc-rest-web/rest/systemConfiguration/testMail",
  "name": "Test Mail",
  "method": "POST",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "HtLDjNNuxFgtiNbhtZnws",
        "code": "true",
        "language": "200"
      }
    ],
    "selectedLanguageId": "HtLDjNNuxFgtiNbhtZnws"
  },
  "examples": {
    "languages": [
      {
        "id": "8515plzn8W5z_vqynBg07",
        "code": "var client = new RestClient(\"http://{{hostname}}/aioc-rest-web/rest/systemConfiguration/testMail\");\r\nclient.Timeout = -1;\r\nvar request = new RestRequest(Method.POST);\r\nrequest.AddHeader(\"Content-Type\", \"application/json\");\r\nrequest.AddParameter(\"application/json\", \"{\\n    \\\"toList\\\": \\\"to1@kron.com; to2@kron.com\\\",\\n    \\\"subject\\\": \\\"Test Mail From Single Connect\\\",\\n    \\\"content\\\": \\\"Test Mail Content.\\\",\\n    \\\"configuration\\\": [\\n        {\\n            \\\"parameterName\\\": \\\"aioc.email.domains\\\",\\n            \\\"parameterValue\\\": \\\"email.domains\\\"\\n        },\\n        {\\n            \\\"parameterName\\\": \\\"mail.userName\\\",\\n            \\\"parameterValue\\\": \\\"username@kron.com\\\"\\n        },\\n        {\\n            \\\"parameterName\\\": \\\"mail.password\\\",\\n            \\\"parameterValue\\\": \\\"password\\\"\\n        },\\n        {\\n            \\\"parameterName\\\": \\\"mail.smtp.auth\\\",\\n            \\\"parameterValue\\\": \\\"true\\\"\\n        },\\n        {\\n            \\\"parameterName\\\": \\\"mail.smtp.host\\\",\\n            \\\"parameterValue\\\": \\\"smtp.kron.com\\\"\\n        },\\n        {\\n            \\\"parameterName\\\": \\\"mail.smtp.port\\\",\\n            \\\"parameterValue\\\": \\\"587\\\"\\n        },\\n        {\\n            \\\"parameterName\\\": \\\"mail.smtp.socketFactory.class\\\",\\n            \\\"parameterValue\\\": \\\"javax.net.ssl.SSLSocketFactory\\\"\\n        },\\n        {\\n            \\\"parameterName\\\": \\\"mail.smtp.starttls.enable\\\",\\n            \\\"parameterValue\\\": \\\"true\\\"\\n        },\\n        {\\n            \\\"parameterName\\\": \\\"mail.templates.dir\\\",\\n            \\\"parameterValue\\\": \\\"${netright.home}/templates/mail\\\"\\n        },\\n        {\\n            \\\"parameterName\\\": \\\"user.mail.from\\\",\\n            \\\"parameterValue\\\": \\\"from@kron.com\\\"\\n        }\\n    ]\\n}\",  ParameterType.RequestBody);\r\nIRestResponse response = client.Execute(request);\r\nConsole.WriteLine(response.Content);",
        "language": "csharp"
      },
      {
        "id": "8e-kgfdOl3xS-YlDtzRcO",
        "code": "curl --location -g --request POST 'http://{{hostname}}/aioc-rest-web/rest/systemConfiguration/testMail' \\\n--header 'Content-Type: application/json' \\\n--data-raw '{\n    \"toList\": \"to1@kron.com; to2@kron.com\",\n    \"subject\": \"Test Mail From Single Connect\",\n    \"content\": \"Test Mail Content.\",\n    \"configuration\": [\n        {\n            \"parameterName\": \"aioc.email.domains\",\n            \"parameterValue\": \"email.domains\"\n        },\n        {\n            \"parameterName\": \"mail.userName\",\n            \"parameterValue\": \"username@kron.com\"\n        },\n        {\n            \"parameterName\": \"mail.password\",\n            \"parameterValue\": \"password\"\n        },\n        {\n            \"parameterName\": \"mail.smtp.auth\",\n            \"parameterValue\": \"true\"\n        },\n        {\n            \"parameterName\": \"mail.smtp.host\",\n            \"parameterValue\": \"smtp.kron.com\"\n        },\n        {\n            \"parameterName\": \"mail.smtp.port\",\n            \"parameterValue\": \"587\"\n        },\n        {\n            \"parameterName\": \"mail.smtp.socketFactory.class\",\n            \"parameterValue\": \"javax.net.ssl.SSLSocketFactory\"\n        },\n        {\n            \"parameterName\": \"mail.smtp.starttls.enable\",\n            \"parameterValue\": \"true\"\n        },\n        {\n            \"parameterName\": \"mail.templates.dir\",\n            \"parameterValue\": \"${netright.home}/templates/mail\"\n        },\n        {\n            \"parameterName\": \"user.mail.from\",\n            \"parameterValue\": \"from@kron.com\"\n        }\n    ]\n}'",
        "language": "curl"
      },
      {
        "id": "6HjjhBkC7QC2fpOmWr0hL",
        "code": "var settings = {\r\n  \"url\": \"http://{{hostname}}/aioc-rest-web/rest/systemConfiguration/testMail\",\r\n  \"method\": \"POST\",\r\n  \"timeout\": 0,\r\n  \"headers\": {\r\n    \"Content-Type\": \"application/json\"\r\n  },\r\n  \"data\": JSON.stringify({\"toList\":\"to1@kron.com; to2@kron.com\",\"subject\":\"Test Mail From Single Connect\",\"content\":\"Test Mail Content.\",\"configuration\":[{\"parameterName\":\"aioc.email.domains\",\"parameterValue\":\"email.domains\"},{\"parameterName\":\"mail.userName\",\"parameterValue\":\"username@kron.com\"},{\"parameterName\":\"mail.password\",\"parameterValue\":\"password\"},{\"parameterName\":\"mail.smtp.auth\",\"parameterValue\":\"true\"},{\"parameterName\":\"mail.smtp.host\",\"parameterValue\":\"smtp.kron.com\"},{\"parameterName\":\"mail.smtp.port\",\"parameterValue\":\"587\"},{\"parameterName\":\"mail.smtp.socketFactory.class\",\"parameterValue\":\"javax.net.ssl.SSLSocketFactory\"},{\"parameterName\":\"mail.smtp.starttls.enable\",\"parameterValue\":\"true\"},{\"parameterName\":\"mail.templates.dir\",\"parameterValue\":\"${netright.home}/templates/mail\"},{\"parameterName\":\"user.mail.from\",\"parameterValue\":\"from@kron.com\"}]}),\r\n};\r\n\r\n$.ajax(settings).done(function (response) {\r\n  console.log(response);\r\n});",
        "language": "javascript"
      }
    ],
    "selectedLanguageId": "8515plzn8W5z_vqynBg07"
  },
  "description": " ",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  }
}
```
:::

